/*
        tokenreader.h
        Mar. 21st, 2006
        Joris Roos <jorisr@gmx.de>
        TokenReader Headerfile
*/

#ifndef TOKENREADER_H

#define TOKENREADER_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

#include "error.h"
#include "table.h"

#define BUFSIZE         1024
#define BUFSIZE_INC     1024

extern char* tokbuf;                      /* token buffer */
extern int tokbuf_l;                      /* length of token buffer */
extern void freeTokBuf();                 /* frees the token buffer */

extern char prog[8], comment[42], prot;   /* information about loaded program */
extern char *tokenfile;                   /* loaded file */

/* read functions */
extern int loadTokenFile(const char*);    /* loads data from file to token buffer */

/* write functions */
extern int writeASCIIFile(const char*);   /* writes loaded token data into a ASCII file */

#endif

/* Last Edit: Mar. 22nd, 2006 */
